> For the complete documentation index, see [llms.txt](https://docs.cheesecakelabs.com/stellar-plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cheesecakelabs.com/stellar-plus/reference/asset/classic-asset-handler.md).

# Classic Asset Handler

The `ClassicAssetHandler` class, inheriting from [Broken mention](broken://pages/esKEbCPJk0SB2I1VSxU1), it follows the standard [Token Interface](https://soroban.stellar.org/docs/reference/interfaces/token-interface) to provide a unified experience to access the functionalities for interacting with and managing classic assets on the Stellar network. It offers a comprehensive set of methods for asset transactions, including minting, transferring, and setting trustlines.

### Constructor

* **Parameters**:
  * `code`: Asset code (e.g., "XLM").
  * `issuerPublicKey`: Public key of the asset issuer.
  * `network`: Network configuration.
  * `issuerAccount`: (Optional) Account handler for the issuer. Necessary to enable asset management functionalities like minting and approving a trustline.
  * `transactionSubmitter`: (Optional) Custom submitter initiating and sending transactions to the network.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cheesecakelabs.com/stellar-plus/reference/asset/classic-asset-handler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
